Subject: Re: bug#7348: 23.2.50; Emacs crashes on fast window resize with scrollbars on under OSX

From: Jan Djärv <[email-masked]>
Date: Sun, 07 Nov 2010 12:22:22 +0100

Some timing has changed.  I got a crash because of BadCursor.  It only happens 
if you start Emacs and put the mouse fast within the frame on a non-toolkit 
build.  Initializing cursor to No_Cursor in note_mode_line_or_margin_highlight 
fixed tha.

	Jan D.

YAMAMOTO Mitsuharu skrev 2010-11-07 04.18:
>>>>>> On Sat, 6 Nov 2010 21:20:03 +0000, Jakub Turski<[email-masked]>  said:
>
>> Method to replicate:
>> 1/ Compile recent OSX Emacs from 'emacs-23' branch
>> 2/ Launch 'emacs -Q'
>> 3/ Press: C-x 2
>> 4/ Move your mouse to the corner of the frame, grab it, drag up,
>> rescaling the vertically to minimum size
>
> I tried this recipe with the *GTK+ build* compiled with
> --enable-checking on Mac OS X 10.6.4, and I got the following
> assertion failure:
>
> .../src/xdisp.c:11515: Emacs fatal error: assertion failed: BUFFERP(w->buffer)
>
> 11511	  /* If showing the region, and mark has changed, we must redisplay
> 11512	     the whole window.  The assignment to this_line_start_pos prevents
> 11513	     the optimization directly below this if-statement.  */
> 11514	  if (((!NILP (Vtransient_mark_mode)
> 11515		&&  !NILP (XBUFFER (w->buffer)->mark_active))
> 11516	       != !NILP (w->region_showing))
> 11517	      || (!NILP (w->region_showing)
> 11518		&&  !EQ (w->region_showing,
>
> The value of w->buffer was nil when the assertion failure occurred.
>
> 				     YAMAMOTO Mitsuharu
> 				[email-masked]
>
>